function print_u_inline(
  u::Array{Complex{Float64},1},
  N1::Int64,
  N2::Int64,
  K1::Int64,
  K2::Int64
)
  for k1 in -K1:K1
    for k2 in -K2:K2
      index=indices_from_momentum(k1,2*K1+1)*(K2+1)+indices_from_momentum(k2,2*K2+1)+1
      @printf("% .15e % .15e ",real(u[index]),imag(u[index]))
    end
  end
  print("\n")
end
